nn.pp.core

## Class Platform

- java.lang.Object
- - nn.pp.core.Platform

-     public class Platform
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isAdjustFullScreenToTargetSupported()`
    `static boolean` | `isArm32()`
    `static boolean` | `isArm64()`
    `static boolean` | `isAudioSupported()`
    `static boolean` | `isLinux()`
    `static boolean` | `isMac()`
    `static boolean` | `isMacOsX()`
    `static boolean` | `isRestrictedSecurity()`
    `static boolean` | `isSingleMouseSupported()`
    `static boolean` | `isSun()`
    `static boolean` | `isVirtualMediaReadWriteSupported()`
    `static boolean` | `isVirtualMediaSupported()`
    `static boolean` | `isWindows()`
    `static boolean` | `isX64()`
    `static boolean` | `isX86()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isMac

          public static boolean isMac()

    - #### isMacOsX

          public static boolean isMacOsX()

    - #### isSun

          public static boolean isSun()

    - #### isWindows

          public static boolean isWindows()

    - #### isLinux

          public static boolean isLinux()

    - #### isX64

          public static boolean isX64()

    - #### isX86

          public static boolean isX86()

    - #### isArm32

          public static boolean isArm32()

    - #### isArm64

          public static boolean isArm64()

    - #### isVirtualMediaSupported

          public static boolean isVirtualMediaSupported()

    - #### isVirtualMediaReadWriteSupported

          public static boolean isVirtualMediaReadWriteSupported()

    - #### isAudioSupported

          public static boolean isAudioSupported()

    - #### isSingleMouseSupported

          public static boolean isSingleMouseSupported()

    - #### isAdjustFullScreenToTargetSupported

          public static boolean isAdjustFullScreenToTargetSupported()

    - #### isRestrictedSecurity

          public static boolean isRestrictedSecurity()

Copyright © 2025 Raritan Inc. All Rights Reserved.